Delete Datastore
curl --request DELETE \
--url https://api.contextual.ai/v1/datastores/{datastore_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contextual.ai/v1/datastores/{datastore_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contextual.ai/v1/datastores/{datastore_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/datastores
Delete Datastore
Delete a given Datastore, including all the documents ingested into it. This operation is irreversible.
This operation will fail with status code 400 if there is an active Agent associated with the Datastore.
DELETE
/
datastores
/
{datastore_id}
Delete Datastore
Was this page helpful?
⌘I